# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.96.0"
name = "ordinary-modify"
version = "0.6.0-pre.11"
authors = ["Ordinary Labs LLC"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Project manipulation tool for Ordinary"
homepage = "https://codeberg.org/ordinarylabs/Ordinary"
readme = "README.md"
categories = []
license = "AGPL-3.0-only"
repository = "https://codeberg.org/ordinarylabs/Ordinary"

[lib]
name = "ordinary_modify"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.fs-err]
version = "3.3.0"

[dependencies.heck]
version = "0.5.0"

[dependencies.ordinary-config]
version = "0.6.0-pre.11"

[dependencies.ordinary-types]
version = "0.6.0-pre.11"

[dependencies.serde_json]
version = "1.0.150"

[dependencies.tracing]
version = "0.1.44"
features = ["valuable"]

[dependencies.uuid]
version = "1.23.2"
features = [
    "v7",
    "v4",
]

[lints.clippy]
unwrap_used = "deny"
